types

# Class: dhcp

Source Location: /lib/types/dhcp.inc

### Class Overview

    baseType
       |
       --dhcp

The account type for DHCP

### Methods

- __construct
- getAlias
- getDefaultListAttributes
- getDescription
- getListAttributeDescriptions
- getListClassName

### Inherited Variables

#### Class: baseType

baseType::$LABEL_BACK_TO_ACCOUNT_LIST
baseType::$LABEL_CREATE_ANOTHER_ACCOUNT

### Inherited Methods

#### Class: baseType

baseType::__construct()
  Creates a new type object.
baseType::getAlias()
  Returns the alias name of this account type.
baseType::getDefaultListAttributes()
  Returns the default attribute list for this account type.
baseType::getDescription()
  Returns the description of this account type.
baseType::getListAttributeDescriptions()
  Returns a list of attributes which have a translated description.
baseType::getListClassName()
  Returns the class name for the list object.

### Class Details

[line 39]
The account type for DHCP
[ Top ]

### Class Methods

### constructor __construct [line 44]

`dhcp __construct( )`

Constructs a new DHCP type object.

#### Tags:

access: | public

Overrides baseType::__construct() (Creates a new type object.)
[ Top ]

### method getAlias [line 55]

`string getAlias( )`

Returns the alias name of this account type.

#### Tags:

return: | alias name
access: | public

Overrides baseType::getAlias() (Returns the alias name of this account type.)
[ Top ]

### method getDefaultListAttributes [line 82]

`string getDefaultListAttributes( )`

Returns the default attribute list for this account type.

#### Tags:

return: | attribute list
access: | public

Overrides baseType::getDefaultListAttributes() (Returns the default attribute list for this account type.)
[ Top ]

### method getDescription [line 64]

`string getDescription( )`

Returns the description of this account type.

#### Tags:

return: | description
access: | public

Overrides baseType::getDescription() (Returns the description of this account type.)
[ Top ]

### method getListAttributeDescriptions [line 92]

`array getListAttributeDescriptions( )`

Returns a list of attributes which have a translated description.

This is used for the head row in the list view.

#### Tags:

return: | list of descriptions
access: | public

Overrides baseType::getListAttributeDescriptions() (Returns a list of attributes which have a translated description.)
[ Top ]

### method getListClassName [line 73]

`string getListClassName( )`

Returns the class name for the list object.

#### Tags:

return: | class name
access: | public

Overrides baseType::getListClassName() (Returns the class name for the list object.)
[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:56 +0200 by phpDocumentor 1.4.1